Subject: Re: bug#33109: Expose hidden "Save for Future Sessions" Customizations button

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Oct 2018 17:52:26 +0300

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 25 Oct 2018 06:53:06 +0800
> 
> EZ> OK, but then "Apply and Save" does save the customizations in a
> EZ> file--in my init file.  It even says so in the echo area.  So I think
> EZ> I'm going to say that I cannot reproduce your problem, neither in
> EZ> Emacs 25.2 nor in Emacs 26.1.
> 
> It saves them to your .emacs ? Maybe it didn't detect you had a
> .emacs-custom.el .

Why is this detail important?  Your original report was that it
doesn't save at all ("will be lost upon exit").  Do we now agree that
the customization _is_ saved when you press that button?  And that
there's no bug here?

> Anyway, then why is the difference between the
> "Apply and Save" and "Save for Future Sessions" button?

What "Save for Future Sessions" button?  I only see  "Save for Future
Sessions" in the "State" menu, I don't see a button with that label.